package com.ruoyi.platform.service;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import com.ruoyi.platform.domain.RayIns;
import java.io.IOException;
import java.util.List;

public interface RayInsService {
    Page<RayIns>  queryByPage(Long rayId, PageRequest pageRequest) throws IOException;

    RayIns insert(RayIns rayIns);

    RayIns update(RayIns rayIns);

    String deleteById(Long id);

    String batchDelete(List<Long> ids);

    boolean terminateRayIns(Long id) throws Exception;

    RayIns getDetailById(Long id) throws Exception;

    void updateRayStatus(Long rayId);

    RayIns queryStatusFromArgo(RayIns ins);

    List<RayIns> queryByRayInsIsNotTerminated();

    String getExpMetrics(String trailIds) throws Exception;
}
